﻿.maintenanceMessage {
  background-image: url(/dir_image/public/warning_round.png);
  background-repeat: no-repeat;
  background-position: 0px center;
  padding: 10px 0 10px 60px;
  font-size: 14px !important;
  font-family: Tahoma, Arial;
  color: black;
}

.developer_note {
  color: forestgreen;
  font-style: italic;
}

.button_generic {
  font-family: 'Roboto Slab', Arial;
  padding: 10px 20px;
  border-radius: 3px;
  font-size: 20px;
  text-decoration: none;
}

  .button_generic a {
    display: block;
    width: 100%;
    height: 100%;
    text-decoration: none;
  }

  .button_generic:hover {
    cursor: pointer;
  }

  .button_generic.yes {
    color: white;
    border: 1px solid #a5cb38;
    background-color: #a5cb38;
  }

    .button_generic.yes:hover {
      background-color: white;
      color: #a5cb38;
    }

  .button_generic.low {
    color: #ccc;
    border: 1px solid #ccc;
    background-color: white;
  }

    .button_generic.low:hover {
      color: #666;
      border: 1px solid #666;
    }


/* The final welvie radio buttons. I will never work on this again. */
/* usage:
        RADIOBUTTONLIST
        <h2>What is the likelihood you’ll proceed with surgery?</h2>
        <div class="radio_welvie_rbl">
            <asp:radiobuttonlist cssclass="radio_welvie" id="rbo_que_1" runat="server" table_name="" column_name="" autopostback="true">
                <asp:listitem text=" Definitely likely" value="Definitely likely"></asp:listitem>
                <asp:listitem text=" Very likely" value="Very likely"></asp:listitem>
                <asp:listitem text=" Somewhat likely" value="Somewhat likely"></asp:listitem>
            </asp:radiobuttonlist>
        </div>

        CHECKBOXLIST
        <div class="radio_welvie_rbl">
            <asp:checkboxlist runat="server" id="cbl_sdoh" cssclass="radio_welvie">
                <asp:listitem>Living situation (homeless, temporary housing, etc.);</asp:listitem>
                <asp:listitem>Feeding yourself or your family;</asp:listitem>
                <asp:listitem>Transportation, getting to your medical appointments;</asp:listitem>
            </asp:checkboxlist>
        </div>

        CHECKBOX
        <div class="radio_welvie">
            <asp:checkbox cssclass="radio_welvie_cb" id="Checkbox0" table_name="" column_name="" runat="server" text="Cardiovascular disease" />
            <asp:checkbox cssclass="radio_welvie_cb" id="Checkbox1" table_name="" column_name="" runat="server" text="COPD" />
            <asp:checkbox cssclass="radio_welvie_cb" id="Checkbox2" table_name="" column_name="" runat="server" text="Dementia" />
        </div>
        ** limit the width by wrapping the whole thing in a single <table><tr><td>[cb]</td></tr></table>

        CHECKBOX, but store INT instead of TEXT
        <div class="radio_welvie">
            <asp:checkbox cssclass="radio_welvie_cb__int" id="Checkbox0" clientidmode="Static" runat="server" table_name="" column_name="" /><label for="Checkbox0">Cardiovascular disease</label>
            <asp:checkbox cssclass="radio_welvie_cb__int" id="Checkbox1" clientidmode="Static" runat="server" table_name="" column_name="" /><label for="Checkbox1">COPD</label>
            <asp:checkbox cssclass="radio_welvie_cb__int" id="Checkbox2" clientidmode="Static" runat="server" table_name="" column_name="" /><label for="Checkbox2">Dementia</label>
        </div

        RADIOBUTTON
        Technically this will work, but radiobuttons need to be in a RBL to function correctly
*/
.radio_welvie_rbl table {
  border-collapse: separate;
  border-spacing: 0px;
}

.radio_welvie_rbl tr {
  /*background-color: #fff;*/
  margin: 10px;
}

  .radio_welvie_rbl tr td {
    border-radius: 6px;
    padding: 10px;
    margin: 10px;
    font-family: 'Roboto Slab', Arial;
    font-size: 1.0em !important;
    color: black;
  }

    .radio_welvie_rbl tr td:hover, .radio_welvie_rbl tr td:focus-within {
      background-color: #ececec;
    }

    .radio_welvie_rbl tr td label {
      /*min-height: 38px;*/
    }

.radio_welvie input {
  float: left;
  transform: scale(1.6);
  accent-color: #e2426b;
}

.radio_welvie label {
  margin-top: -1px;
  line-height: 128%;
  margin-left: 34px;
  display: block;
  cursor: pointer;
}

.radio_welvie_cb, .radio_welvie_rb {
  font-family: 'Roboto Slab', Arial;
  display: block;
  padding: 10px;
  font-size: 1.0em !important;
}

  .radio_welvie_cb:hover, .radio_welvie_rb:hover {
  }

/* use this for straight checkbox but you want to store boolean instead of text */
.radio_welvie_cb__int {
  display: block;
  padding: 10px 14px 10px 10px;
  font-size: 1.0em !important;
  color: red;
  float: left;
}

  .radio_welvie_cb__int + label {
    font-family: 'Roboto Slab', Arial;
    margin: 0px;
    padding: 10px;
  }

    .radio_welvie_cb__int + label:hover {
      background-color: #ececec;
      border-radius: 6px;
    }
/*vote-style tooltip
    usage: <a href="#" titleX="This is the tooltip content." class="tooltipX"><span>1877</span></a>
*/

.tooltipX {
  display: inline;
  position: relative;
  text-decoration: none;
}

  .tooltipX:hover:after {
    background: #333;
    background: rgba(0,0,0,.8);
    border-radius: 5px;
    bottom: 26px;
    color: #fff;
    content: attr(titleX);
    left: 20%;
    padding: 5px 15px;
    position: absolute;
    z-index: 98;
    width: 220px;
  }

  .tooltipX:hover:before {
    border: solid;
    border-color: #333 transparent;
    border-width: 6px 6px 0 6px;
    bottom: 20px;
    content: "";
    left: 50%;
    position: absolute;
    z-index: 99;
  }

/* another type of tooltip */
/*
    <p class="wTooltip">
        Hello
        <span class="wTooltipText">
            this is the tooltip alshdgwh gahfguo
            wfhg fghwoug wugw<br />hgrwuog hwaur guoarwhg rwu
        </span>
    </p>
*/

.wTooltip {
  cursor: pointer;
}

  .wTooltip:hover .wTooltipText {
    display: block;
  }

.wTooltipText {
  display: none;
  position: absolute;
  z-index: 1000;
  border: 1px solid #ccc;
  text-align: left;
  border-radius: 6px;
  padding: 10px 20px 4px 20px;
  background-color: #fff;
  filter: drop-shadow(2px 2px 2px #aaa);
}

  .wTooltipText a {
    font-family: Arial;
  }


/*AutoComplete flyout 10.30.10.020, 10.30.20.010 */
.ace_completionList {
  border: solid 1px #444444;
  margin: 0px;
  padding: 2px;
  /*height: 100px;*/
  overflow: auto;
  background-color: #FFFFFF;
  font-family: 'Roboto Slab', Arial;
  font-size: 18px;
  cursor: pointer;
  z-index: 99;
}

.ace_listItem {
  color: #1C1C1C;
}

.ace_itemHighlighted {
  background-color: #f6a570;
}


/* basic clickable popup, another modal window type. The order of the html matters, in order to support multiple popups. */
/*

    <div class="wPopup_overlay"></div>
    <a class="open-wPopup">Open wPopup One</a>
    <div class="wPopup">
        <span class="close-btn"><i class="fa-solid fa-xmark"></i></span>
        <p>This is a first wPopup box.</p>
    </div>

    <a class="open-wPopup">Open wPopup Two</a>
    <div class="wPopup">
        <span class="close-btn"><i class="fa-solid fa-xmark"></i></span>
        <p>This is a second wPopup box.</p>
    </div>

    <script type="text/javascript">
        $(document).ready(function () {
            $(".open-wPopup").click(function () {
                $(".wPopup_overlay").fadeIn(200);
                $(this).next(".wPopup").fadeIn(200);
            });

            $(".close-btn, .wPopup_overlay").click(function () {
                $(".wPopup_overlay, .wPopup").fadeOut(200);
            });

            $(document).keyup(function (e) {
                if (e.key === "Escape") {
                    $(".wPopup_overlay, .wPopup").fadeOut(200);
                }
            });
        });
    </script>

*/

.wPopup_overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.2);
  display: none;
  z-index: 1
}

.wPopup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 40px;
  background: #fff;
  border: 1px solid black;
  border-radius: 6px;
  z-index: 2;
  display: none;
  filter: drop-shadow(2px 2px 2px #aaa);
  max-height: 100vh;
  overflow: auto;
}

  .wPopup .close-btn {
    position: absolute;
    top: 10px;
    right: 14px;
    font-size: 20px;
    cursor: pointer;
    color: #00b18a;
  }

    .wPopup .close-btn:hover {
      cursor: pointer;
      color: #e2426b;
    }

.open-wPopup:hover {
  color: #e2426b;
  cursor: pointer;
}

@media only screen and (max-width: 670px) {
  .wPopup {
    margin-right: 10px;
    margin-left: 10px;
    top: inherit;
    left: inherit;
    transform: inherit;
  }
}

/*
Here is a native HTML way to do a popup. Just have to style it.

<button popovertarget="modal">Open Modal</button>
<dialog id="modal" popover="auto" class="max-w-2xl backdrop:backdrop-blur-sm">
    <p>Click the "X" to close me.</p>
    <button popovertarget="modal" popovertargetaction="hide">x</button>
</dialog>
*/

/* Here is a native HTML accordion.
    https://harrisonbroadbent.com/blog/cool-native-html-elements/

<details name="group">
    <summary>Frogs</summary>
    froooogggsss
</details>

<details name="group">
    <summary>Dogs</summary>
    dooooggggsss
</details>

<details name="group">
    <summary>Cogs</summary>
    <details name="subgroup">
        <summary>blah</summary>
        <summary>blah</summary>
        <summary>blah</summary>
    </details>
    <summary>Cogs</summary>
    second cogs
</details>

*/

/*
    Here is a native slider/selector

<input type="range" value="50" min="1" max="100" oninput="this.nextElementSibling.value = this.value" />
<output>50</output>

*/


/* here is a basic rollover/hover element
   pay attention when choosing position so content does not flow off page

   usage:

    <span class="wRollover_container">
        <span class="wRollover_element">x</span>
        <span class="wRollover_content pos_center">This is the content box</span>
    </span>
*/
.wRollover_container {
  position: relative;
}

.wRollover_element {
  cursor: pointer;
}

.wRollover_content {
  display: none;
  position: absolute;
  margin-bottom: 6px;
  padding: 10px;
  background-color: white;
  border: 1px solid #ddd;
  border-radius: 4px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  white-space: nowrap; /* Prevent the content from wrapping */
}

  .wRollover_content.pos_left {
    bottom: 100%;
    right: 0;
  }

  .wRollover_content.pos_right {
    bottom: 100%;
    left: 0;
  }

  .wRollover_content.pos_center {
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
  }

.wRollover_container:hover .wRollover_content {
  display: block;
}



/* journal style link */

.xs_tile_parent {
  /*			display: flex;
			flex-wrap: wrap;
			gap: 20px;
			margin: 20px 0 20px 0;*/
}

.xs_tile_child {
  box-sizing: border-box;
  width: 100%;
  /*min-height: 130px;*/
  margin: 10px 0px 10px 0;
  border-radius: 6px;
  /*border: 2px solid #fff;*/
}

  .xs_tile_child.disabled {
    border: 2px solid #dedede;
  }

    .xs_tile_child.disabled a, .xs_tile_child.disabled p {
      color: #aaa;
    }

  .xs_tile_child p {
    line-height: 1.2em;
    display: inline-block;
  }

  .xs_tile_child a {
    display: flex;
    align-items: center;
    gap: 20px;
    height: 100%;
    width: 100%;
    background-color: #fff;
    padding: 4px 10px 4px 4px;
    box-sizing: border-box;
    border-radius: 6px;
    text-decoration: none;
    color: black;
    font-family: 'Roboto Slab', Arial;
    font-weight: 400;
    font-size: 1.1em;
    transition: 0.2s;
  }

    .xs_tile_child a div:last-child {
      margin-left: auto;
      color: #00b18a;
      font-size: 30px;
    }

    .xs_tile_child a:hover div {
      color: white;
    }

  .xs_tile_child.disabled a:hover p {
    color: #aaa;
  }

  .xs_tile_child a:hover {
    background-color: #f47922;
  }

  .xs_tile_child.disabled a:hover {
    background-color: white;
  }

    .xs_tile_child.disabled a:hover .xs_tile_icon {
      color: white;
    }

.xs_tile_icon {
  box-sizing: content-box;
  border-radius: 4px;
  padding: 10px;
  color: #f47922 !important;
  font-size: 30px;
  text-align: center;
  background-color: #fdf5ed;
}

.xs_tile_child a:hover .xs_tile_icon {
  color: white;
}

.xs_tile_child.disabled .xs_tile_icon {
  color: #dedede;
}

.xs_tile_child.disabled a:hover .xs_tile_icon {
  color: #dedede;
}

/* end journal style link*/


/* supports myDataTable */
.bgcolor .ddd {
  background-color: #ddd
}


/* formats label column with a textbox on the right */
.label_table tr {
  vertical-align: middle;
}

  .label_table tr td:first-child {
    text-align: right;
    font-weight: 400;
    white-space: nowrap;
  }

  .label_table tr td:last-child {
    font-weight: 600;
    width: 100%;
  }

.add_ellipses {
  /* the tag with this class should set the max-width
    <div class="add_ellipses" style="max-width: 60px;">Antidisestablishmenterianism</div>*/
  white-space: nowrap; /* Prevent text from wrapping */
  overflow: hidden; /* Hide overflowed text */
  text-overflow: ellipsis
}

/* only wrap at space - do not break words*/
.space_wrap__no_word_break {
  white-space: normal;
  overflow-wrap: normal;
  word-break: normal;
}

.no_text_deco {
  text-decoration: none;
}